> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/reports/get-click-detail-member/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Get clicked link subscriber GET https://api.mailchimp.com/3.0/reports/{campaign_id}/click-details/{link_id}/members/{subscriber_hash} Get information about a specific subscriber who clicked a link in a specific campaign. Reference: https://mailchimp.com/developer/marketing/api/reports/get-click-detail-member ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `campaign_id` (string, required) — The unique id for the campaign. - `link_id` (string, required) — The id for the link. - `subscriber_hash` (string, required) — The MD5 hash of the lowercase version of the list member's email address. ### Query parameters - `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. - `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. ## Response ### 200 - `_links` (list of ClickDetailMemberLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `campaign_id` (string, optional) — The campaign id. - `clicks` (integer, optional) — The total number of times the subscriber clicked on the link. - `contact_status` (string, optional) — The status of the member, namely if they are subscribed, unsubscribed, deleted, non-subscribed, transactional, pending, or need reconfirmation. - `email_address` (string, optional) — Email address for a subscriber. - `email_id` (string, optional) — The MD5 hash of the lowercase version of the list member's email address. - `list_id` (string, optional) — The list id. - `list_is_active` (boolean, optional) — The status of the list used, namely if it's deleted or disabled. - `merge_fields` (map from string to ClickDetailMemberMergeFields, optional, nullable) — A dictionary of merge fields where the keys are the merge tags. See the [Merge Fields documentation](https://mailchimp.com/developer/marketing/docs/merge-fields/#structure) for more about the structure. - `url_id` (string, optional) — The id for the tracked URL in the campaign. - `vip` (boolean, optional) — [VIP status](https://mailchimp.com/help/designate-and-send-to-vip-contacts/) for subscriber. ## Types ### ClickDetailMemberLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### ClickDetailMemberMergeFields This object's keys are merge tags (like FNAME). It's values are the values to be added to the merge field. ### ClickDetailMemberMergeFields0 - `addr1` (string, required) - `city` (string, required) - `state` (string, required) - `zip` (string, required) - `addr2` (string, optional) - `country` (string, optional) ## Examples **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "campaign_id": "string", "clicks": 1, "contact_status": "string", "email_address": "string", "email_id": "string", "list_id": "string", "list_is_active": true, "merge_fields": {}, "url_id": "string", "vip": true } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/reports/campaign_id/click-details/link_id/members/subscriber_hash" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/reports/campaign_id/click-details/link_id/members/subscriber_hash'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/reports/campaign_id/click-details/link_id/members/subscriber_hash" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/reports/campaign_id/click-details/link_id/members/subscriber_hash") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mailchimp.com/3.0/reports/campaign_id/click-details/link_id/members/subscriber_hash") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.mailchimp.com/3.0/reports/campaign_id/click-details/link_id/members/subscriber_hash', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/reports/campaign_id/click-details/link_id/members/subscriber_hash"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/reports/campaign_id/click-details/link_id/members/subscriber_hash")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.